# List the registries this project can pull private images from Source: https://docs.orchard.hackclub.com/api/operations/projects_registry_credentials_list/ `GET /apiv1/projects/{projectId}/registry-credentials` Operation ID: `projects_registry_credentials_list` Auth: authenticated (scope: read) ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `projectId` | path | Yes | | ## Responses ### 200: OK ```json { "items": { "properties": { "createdAt": { "type": "string" }, "id": { "format": "uuid", "type": "string" }, "registry": { "description": "Normalised registry host, e.g. ghcr.io or docker.io", "type": "string" }, "updatedAt": { "type": "string" }, "username": { "type": "string" } }, "required": [ "id", "registry", "username", "createdAt", "updatedAt" ], "type": "object" }, "type": "array" } ```